GuideLab API

Patch a shade system

Perform a shade-system action.

PATCH
/shade-systems/{id}

Perform a shade-system action.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/shade-systems/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "system": {    "id": "string",    "labId": "string",    "name": "string",    "description": "string",    "isDefault": true,    "isActive": true,    "sortOrder": 0,    "values": [      {        "id": "string",        "code": "string",        "label": "string",        "sortOrder": 0,        "isActive": true,        "images": {          "occlusal": "string",          "middle": "string",          "gingival": "string"        }      }    ],    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty